commit 14ba650571d5b0389421d25953e89d183e895ac0
Merge: 654555804ad 03f112e2552
Author: Varun Nagaraju <varun.nagaraju@percona.com>
Date:   Mon Nov 18 18:42:47 2024 +0530

    Merge pull request #1 from VarunNagaraju/post-EOL-4
    
    PS-9442 Backport bug fixes from MySQL 8.0.40

commit e871187b992770fdbf5987ef2ee050a744788188
Author: Varun Nagaraju <varun.nagaraju@percona.com>
Date:   Mon Nov 18 20:01:44 2024 +0530

    PS-9442 Update the versions numbers
    
    https://perconadev.atlassian.net/browse/PS-9442
    
    Raised MYSQL_VERSION_EXTRA to 52 in MYSQL_VERSION file.
    Raised PERCONA_INNODB_VERSION to 52 in univ.i file.

diff --git a/MYSQL_VERSION b/MYSQL_VERSION
index 4a9e70d5b96..33f3e366a1b 100644
--- a/MYSQL_VERSION
+++ b/MYSQL_VERSION
@@ -1,4 +1,4 @@
 MYSQL_VERSION_MAJOR=5
 MYSQL_VERSION_MINOR=7
 MYSQL_VERSION_PATCH=44
-MYSQL_VERSION_EXTRA=-51
+MYSQL_VERSION_EXTRA=-52
diff --git a/storage/innobase/include/univ.i b/storage/innobase/include/univ.i
index 18b1d571643..93ade2ec27a 100644
--- a/storage/innobase/include/univ.i
+++ b/storage/innobase/include/univ.i
@@ -55,7 +55,7 @@ Created 1/20/1994 Heikki Tuuri
 #define INNODB_VERSION_BUGFIX	MYSQL_VERSION_PATCH
 
 #ifndef PERCONA_INNODB_VERSION
-#define PERCONA_INNODB_VERSION 51
+#define PERCONA_INNODB_VERSION 52
 #endif
 
 /* The following is the InnoDB version as shown in

